
//=============================================================================
//@Man:  VAFNC
//@Memo: Variable argument list message passing function.
//@{
   //@Type: typedef
   //@Args: char *((*VAFNC)(void *va_0, ...));
   typedef  char *((*VAFNC)(void *va_0, ...));
//@}

//@Man: FNC
//@Memo: \Ref{FNCt} 
//@Man: pFNC
//@Memo: \Ref{FNCt} *
typedef  struct FNCt     FNC, *pFNC;

///
//@Memo: Function name/pointer to function pair.
/**
   Function name/pointer to function pair.
*/
struct FNCt {
    ///
   char                   *name;
    ///
   VAFNC                   fnc;
};
int GetFncTblEntry(int i, char **pname, VAFNC *pfnc);
//=============================================================================
